const
 n=10;
var
_in : text;
a : char;
name : string;
i,j,max,k : Integer;
bad : boolean;
arr : Array[1..n] of real;
data : string;
temp : real;
begin
 WriteLn('Введите имя файла с данными. Расширение файла (.txt) вводить не надо');
 ReadLn(name);
 name:=name+'.txt';
 Assign(_in,name);
 Reset(_in);
 i:=1;
 while (i<=n) and not EOF(_in) do
  begin
   bad:=FALSE;
   Delete(data,1,254);
   for j:=1 to 255 do
       begin
        Read(_in,a);
        case a of
          ' ',#13 : begin if length(data)=0 then bad:=TRUE; break; end;
          #26 : begin break; end;
        else case a of
               '0'..'9','.': Insert(a,data,j);
              else bad:=TRUE; end;
        end;
       end;
   if bad=FALSE then Val(data,arr[i],j);
   if bad=TRUE then i:=i-1;
   i:=i+1;
  end;
 k:=i-1;
 for j:=0 to k-1 do
  begin
  max:=1;
   for i:=2 to k-j do
    if arr[i]>arr[max] then max:=i;
    temp:=arr[k-j]; arr[k-j]:=arr[max]; arr[max]:=temp;
  end;
 Write('Медиана этого потока равна ',arr[round(k/2)]:0:2);
 ReadLn;
 Close(_in);
end.